class Canvas:
    def __init__(self, width, height):
        self.__width = width
        self.__height = height
        self.__points = []

    def add_point(self, point):
        if point.getX() < self.__width and point.getY() < self.__height:
            self.__points.append(point)



class Point:
    def __init__(self, x, y, color):
        self.__x = x
        self.__y = y
        self.__color = color

    def getX(self):
        return self.__x

    def getY(self):
        return self.__y

    def get_color(self):
        return self.__color

    def change_color(self, new_color):
        self.__color = new_color


d = Canvas(100, 100)
p1 = Point(50, 50, 'red')
p1.change_color('blue')
d.add_point(p1)